import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:trtc_cloud_plugin_example/page/login.dart';
import 'package:trtc_cloud_plugin_example/page/trtcmeetingdemo/index.dart';
import 'package:trtc_cloud_plugin_example/page/trtcmeetingdemo/meeting.dart';
import 'package:trtc_cloud_plugin_example/page/trtcmeetingdemo/memberList.dart';
import 'package:trtc_cloud_plugin_example/models/meeting.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider(
      create: (context) => MeetingModel(),
      child: MaterialApp(
        routes: {
          "/": (context) => LoginPage(),
          "/index": (context) => IndexPage(),
          "/video": (context) => MeetingPage(),
          "/memberList": (context) => MemberListPage(),
        },
      ),
    );
  }
}
